petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDataTypeToADIOSDataType

Converts the PETSc name of a datatype to its ADIOS name.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscDataTypeToADIOSDataType(PetscDataType ptype, enum ADIOS_DATATYPES *htype)

Not collective

### Input Parameter

ptype -the PETSc datatype name (for example PETSC_DOUBLE)

### Output Parameter

mtype -the MPI datatype (for example MPI_DOUBLE, ...)

Developer Notes: These have not been verified

### See Also

PetscDataType, PetscADIOSDataTypeToPetscDataType()

### Level

advanced

### Location

src/sys/classes/viewer/impls/adios/adios.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages